python-flup_1.0.2-5_all.deb


Advertisement

Description

python-flup - Implements Python Web Server Gateway Interface (WSGI)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-flup
Package version: 1.0.2
Package release: 5
Package architecture: all
Package type: deb
Installed size: 248 B
Download size: 29.76 KB
Official Mirror: archive.ubuntu.com
Implements the standard interface between Python Web applications and Web servers, as described in PEP 333, http://www.python.org/dev/peps/pep-0333 Speaks: * AJP - Apache JServ Protocol 1.3 * FastCGI, see http://www.fastcgi.com/ * SCGI - Simple Common Gateway Interface alternative

Alternatives

    Download

    Source package: flup

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-flup deb package:
      # sudo apt-get install python-flup

    Files

    • /usr/lib/python2.7/dist-packages/flup/__init__.py
    • /usr/lib/python2.7/dist-packages/flup-1.0.2.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/flup-1.0.2.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/flup-1.0.2.egg-info/entry_points.txt
    • /usr/lib/python2.7/dist-packages/flup-1.0.2.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/flup-1.0.2.egg-info/zip-safe
    • /usr/lib/python2.7/dist-packages/flup/client/__init__.py
    • /usr/lib/python2.7/dist-packages/flup/client/fcgi_app.py
    • /usr/lib/python2.7/dist-packages/flup/client/scgi_app.py
    • /usr/lib/python2.7/dist-packages/flup/server/__init__.py
    • /usr/lib/python2.7/dist-packages/flup/server/ajp.py
    • /usr/lib/python2.7/dist-packages/flup/server/ajp_base.py
    • /usr/lib/python2.7/dist-packages/flup/server/ajp_fork.py
    • /usr/lib/python2.7/dist-packages/flup/server/cgi.py
    • /usr/lib/python2.7/dist-packages/flup/server/fcgi.py
    • /usr/lib/python2.7/dist-packages/flup/server/fcgi_base.py
    • /usr/lib/python2.7/dist-packages/flup/server/fcgi_fork.py
    • /usr/lib/python2.7/dist-packages/flup/server/fcgi_single.py
    • /usr/lib/python2.7/dist-packages/flup/server/paste_factory.py
    • /usr/lib/python2.7/dist-packages/flup/server/preforkserver.py
    • /usr/lib/python2.7/dist-packages/flup/server/scgi.py
    • /usr/lib/python2.7/dist-packages/flup/server/scgi_base.py
    • /usr/lib/python2.7/dist-packages/flup/server/scgi_fork.py
    • /usr/lib/python2.7/dist-packages/flup/server/singleserver.py
    • /usr/lib/python2.7/dist-packages/flup/server/threadedserver.py
    • /usr/lib/python2.7/dist-packages/flup/server/threadpool.py
    • /usr/share/doc/python-flup/changelog.Debian.gz
    • /usr/share/doc/python-flup/copyright

    Changelog

    2015-05-24 - John Hedges <john@drystone.co.uk> flup (1.0.2-5) unstable; urgency=medium * debian/control - Removes build dependency on python-support (Closes: #786016) - Replaces XS-Python-Version field with X-Python-Verison - Removes XB-Python-Version * Complies to policy version 3.9.6

    2013-10-25 - tony mancill <tmancill@debian.org> flup (1.0.2-4) unstable; urgency=low * Update debian/copyright (Closes: #727728) * debian/control - Add build-dep on python-support - Add myself to Uploaders - Depend on debhelper (>=9)

    2012-10-07 - John Hedges <john@drystone.co.uk> flup (1.0.2-3) unstable; urgency=low * No longer recommends python-webpy (Closes: #689840) * Bumps policy version to 3.9.4

    2012-06-13 - John Hedges <john@drystone.co.uk> flup (1.0.2-2) unstable; urgency=low * New maintainer (Closes: #647089) * Switch to dpkg-source 3.0 (quilt) format * Bumps policy version to 3.9.3 * Adds flup.egg-info/* to debian/clean * Removes debian/pycompat * Changes from python-support to python2

    2009-07-28 - Kai Hendry <hendry@iki.fi> flup (1.0.2-1) unstable; urgency=low * New upstream release (Closes: #517965) * http://www.saddi.com/software/news/archives/65-flup-1.0.2-on-the-horizon....html * Debian packaging updated to use debhelper7 * Updated debian/copyright to be machine-interpretable * Disabled upstream's use of ez_setup since Build-Depends already requires python-setuptools

    2007-09-12 - Kai Hendry <hendry@iki.fi> flup (1.0-1) unstable; urgency=low * New upstream release * http://www.saddi.com/software/news/archives/58-flup-1.0-released.html * Added a note in the description that people should probably start thinking of moving to modwsgi.org

    2007-02-02 - Kai Hendry <hendry@iki.fi> flup (0.2307-1) unstable; urgency=low * New upstream release * Rebuild with egg support (Closes: #409250) * Thanks to POX on #debian-python for the clean find rule

    2006-11-28 - Kai Hendry <hendry@iki.fi> flup (0.2126-1) unstable; urgency=low * New upstream release * Started using the subversion revision as the package version with upstream's request

    2006-06-28 - Kai Hendry <hendry@iki.fi> flup (0.5-1) unstable; urgency=low * Changed to upstream's version format

    2006-06-28 - Kai Hendry <hendry@iki.fi> flup (0.2016-1) unstable; urgency=low * New upstream release

    Advertisement
    Advertisement